---
title: "Pages an order's refunds."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › transaction

`GET /v1/stores/{store}/orders/{order}/refunds`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `transaction:read`

## Path parameters

- `store` (`listOrderRefunds.path.store`; string, required) — The store's id.
- `order` (`listOrderRefunds.path.order`; string, required)
  - minLength 1

## Query parameters

- `filter` (`listOrderRefunds.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listOrderRefunds.query.sort`; string, optional)
  - one of `"occurred"`
- `direction` (`listOrderRefunds.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listOrderRefunds.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listOrderRefunds.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listOrderRefunds.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/orders/<order>/refunds' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/orders/<order>/refunds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/orders/<order>/refunds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages an order's refunds.

#### Example

```json
{
  "items": [
    {
      "allocations": [
        {
          "currency": "string",
          "exponent": 0,
          "refund_id": "string",
          "order_item_id": "string",
          "amount": 0
        }
      ],
      "id": "string",
      "settlement_id": "string",
      "order_id": "string",
      "processor_ref": "string",
      "amount": 0,
      "currency": "string",
      "exponent": 0,
      "reason": "string",
      "occurred_at": "string",
      "recorded_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listOrderRefunds.response.200.items`; array<object>, required)
  - `allocations` (`listOrderRefunds.response.200.items.allocations`; array<object>, required)
    - `currency` (`listOrderRefunds.response.200.items.allocations.currency`; string, required)
    - `exponent` (`listOrderRefunds.response.200.items.allocations.exponent`; any of, required)
      - any of: `number`, `null`
    - `refund_id` (`listOrderRefunds.response.200.items.allocations.refund_id`; string, required)
    - `order_item_id` (`listOrderRefunds.response.200.items.allocations.order_item_id`; string, required)
    - `amount` (`listOrderRefunds.response.200.items.allocations.amount`; any of, required)
      - any of: `number`, `null`
  - `id` (`listOrderRefunds.response.200.items.id`; string, required)
  - `settlement_id` (`listOrderRefunds.response.200.items.settlement_id`; string, required)
  - `order_id` (`listOrderRefunds.response.200.items.order_id`; string, required)
  - `processor_ref` (`listOrderRefunds.response.200.items.processor_ref`; any of, required)
    - any of: `string`, `null`
  - `amount` (`listOrderRefunds.response.200.items.amount`; any of, required)
    - any of: `number`, `null`
  - `currency` (`listOrderRefunds.response.200.items.currency`; string, required)
  - `exponent` (`listOrderRefunds.response.200.items.exponent`; any of, required)
    - any of: `number`, `null`
  - `reason` (`listOrderRefunds.response.200.items.reason`; any of, required)
    - any of: `string`, `null`
  - `occurred_at` (`listOrderRefunds.response.200.items.occurred_at`; any of, required)
    - any of: `string`, `null`
  - `recorded_at` (`listOrderRefunds.response.200.items.recorded_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listOrderRefunds.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listOrderRefunds.response.200.total`; number, optional)
- `facets` (`listOrderRefunds.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listOrderRefunds.response.default.type`; string, required)
  - format `uri`
- `title` (`listOrderRefunds.response.default.title`; string, required)
- `status` (`listOrderRefunds.response.default.status`; integer, required)
- `detail` (`listOrderRefunds.response.default.detail`; string, required)
- `code` (`listOrderRefunds.response.default.code`; string, optional)
- `context` (`listOrderRefunds.response.default.context`; object, optional)
- `reached_core` (`listOrderRefunds.response.default.reached_core`; boolean, optional)
- `core_answer` (`listOrderRefunds.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-order-refunds/index.md
